404

[ Avaa Bypassed ]




Upload:

Command:

botdev@18.226.248.100: ~ $
#!/bin/sh
### BEGIN INIT INFO
# Provides:          acpid
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# X-Start-Before:    kdm gdm3 xdm lightdm
# X-Stop-After:      kdm gdm3 xdm lightdm
# Default-Start:     2 3 4 5
# Default-Stop:      
# Short-Description: Start the Advanced Configuration and Power Interface daemon
# Description:       Provide a socket for X11, hald and others to multiplex
#                    kernel ACPI events.
### END INIT INFO

set -e

ACPID="/usr/sbin/acpid"
DEFAULTS="/etc/default/acpid"

# Check for daemon presence
[ -x "$ACPID" ] || exit 0

OPTIONS=""
MODULES=""
# Include acpid defaults if available
[ -r "$DEFAULTS" ] && . "$DEFAULTS"

# Get lsb functions
. /lib/lsb/init-functions

# As the name says. If the kernel supports modules, it'll try to load
# the ones listed in "MODULES".
load_modules() {
    [ -f /proc/modules ] || return 0
    if [ "$MODULES" = "all" ]; then
        MODULES="$(sed -rn 's#^(/lib/modules/[^/]+/)?kernel/(drivers|ubuntu)/acpi/([^/]+/)*(.*)\.ko:.*#\4#p' "/lib/modules/$(uname -r)/modules.dep")"
    fi

    if [ -z "$MODULES" ]; then
        return
    fi

    log_begin_msg "Loading ACPI kernel modules..."
    # work around a bug in initramfs which leaks this env var Launchpad #291619
    # and a bug in modprobe --all --quiet which doesn't load all modules and
    # exits with non-zero exit status Debian #504088
    unset MODPROBE_OPTIONS
    modprobe --all --use-blacklist $MODULES 2>/dev/null
    log_end_msg $?
}

set +e

case "$1" in
  start)
    load_modules || true
    log_daemon_msg "Starting ACPI services" "acpid"
    start-stop-daemon --start --quiet --oknodo --exec "$ACPID" -- $OPTIONS
    log_end_msg $?
    ;;
  stop)
    log_daemon_msg "Stopping ACPI services" "acpid"
    start-stop-daemon --stop --quiet --oknodo --retry 2 --exec "$ACPID"
    log_end_msg $?
    ;;
  restart)
    $0 stop
    sleep 1
    $0 start
    ;;
  reload|force-reload) 
    log_daemon_msg "Reloading ACPI services" "acpid"
    start-stop-daemon --stop --signal 1 --exec "$ACPID"
    log_end_msg $?
    ;;
  status)
    status_of_proc "$ACPID" acpid
    ;;
  *)
    log_success_msg "Usage: /etc/init.d/acpid {start|stop|restart|reload|force-reload|status}"
    exit 1
esac


Filemanager

Name Type Size Permission Actions
acpid File 2.22 KB 0755
apache-htcacheclean File 2.43 KB 0755
apache2 File 7.99 KB 0755
apparmor File 4.23 KB 0755
apport File 2.85 KB 0755
atd File 1.05 KB 0755
cgroupfs-mount File 1.86 KB 0755
console-setup.sh File 1.2 KB 0755
cron File 2.98 KB 0755
cryptdisks File 937 B 0755
cryptdisks-early File 978 B 0755
danted File 3.72 KB 0755
dbus File 2.75 KB 0755
docker File 3.42 KB 0755
ebtables File 4.38 KB 0755
grub-common File 985 B 0755
hddtemp File 2.99 KB 0755
hwclock.sh File 3.72 KB 0755
irqbalance File 2.39 KB 0755
iscsid File 1.47 KB 0755
keyboard-setup.sh File 1.44 KB 0755
kmod File 2 KB 0755
lm-sensors File 883 B 0755
lvm2 File 695 B 0755
lvm2-lvmetad File 571 B 0755
lvm2-lvmpolld File 586 B 0755
lxcfs File 2.32 KB 0755
lxd File 2.19 KB 0755
mdadm File 2.59 KB 0755
mdadm-waitidle File 1.22 KB 0755
mysql File 5.48 KB 0755
netfilter-persistent File 1.33 KB 0755
network-manager File 1.9 KB 0755
open-iscsi File 2.44 KB 0755
open-vm-tools File 1.8 KB 0755
openvpn File 8.92 KB 0755
plymouth File 1.33 KB 0755
plymouth-log File 752 B 0755
pppd-dns File 612 B 0755
procps File 1.16 KB 0755
rsync File 4.25 KB 0755
rsyslog File 2.8 KB 0755
screen-cleanup File 1.19 KB 0755
ssh File 3.75 KB 0755
tor File 5.92 KB 0755
ubuntu-fan File 1.2 KB 0755
udev File 5.83 KB 0755
ufw File 2.03 KB 0755
unattended-upgrades File 1.36 KB 0755
uuidd File 1.28 KB 0755
x11-common File 2.69 KB 0755